API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/parties/{id}/portal-users

POST/v1/parties/{id}/portal-users

CodeMeta OS API endpoint.

Datenmodell

Diese Operation arbeitet auf der Entität Party (party). Alle 56 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
emailerforderlichstring<email>
shopRoleIdstringnull
messagestringnull
existingPersonPartyIdstringnull
firstNamestring
lastNamestring
displayNamestring

Pfad-Parameter

NameTypBeschreibung
iderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/parties/{id}/portal-users \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "email": "string",
  "shopRoleId": null,
  "message": null,
  "existingPersonPartyId": null,
  "firstName": "string",
  "lastName": "string",
  "displayName": "string"
}'
const result = await cm.parties.post({
  "email": "string",
  "shopRoleId": null,
  "message": null,
  "existingPersonPartyId": null,
  "firstName": "string",
  "lastName": "string",
  "displayName": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche